Skip to main content
GET
/
ramp-schedules
cURL
curl https://api.growthbook.io/api/v1/ramp-schedules \
  -u secret_abc123DEF456:
{
  "rampSchedules": [
    {
      "id": "<string>",
      "organization": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateUpdated": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "entityType": "feature",
      "entityId": "<string>",
      "targets": [
        {
          "id": "<string>",
          "entityType": "feature",
          "entityId": "<string>",
          "status": "pending-join",
          "ruleId": "<string>",
          "environment": "<string>",
          "activatingRevisionVersion": 123
        }
      ],
      "steps": [
        {
          "trigger": {
            "type": "interval",
            "seconds": 123,
            "at": "2023-11-07T05:31:56Z"
          },
          "actions": [
            {
              "targetType": "feature-rule",
              "targetId": "<string>",
              "patch": {
                "ruleId": "<string>",
                "coverage": 0.5,
                "condition": "<string>",
                "force": "<unknown>"
              }
            }
          ],
          "approvalNotes": "<string>"
        }
      ],
      "status": "pending",
      "currentStepIndex": 0,
      "nextStepAt": "2023-11-07T05:31:56Z",
      "endActions": [
        {
          "targetType": "feature-rule",
          "targetId": "<string>",
          "patch": {
            "ruleId": "<string>",
            "coverage": 0.5,
            "condition": "<string>",
            "force": "<unknown>"
          }
        }
      ],
      "startDate": "2023-11-07T05:31:56Z",
      "endCondition": {
        "trigger": {
          "type": "scheduled",
          "at": "2023-11-07T05:31:56Z"
        }
      },
      "startedAt": "2023-11-07T05:31:56Z",
      "phaseStartedAt": "2023-11-07T05:31:56Z",
      "pausedAt": "2023-11-07T05:31:56Z",
      "elapsedMs": 123
    }
  ],
  "limit": 123,
  "offset": 123,
  "count": 123,
  "total": 123,
  "hasMore": true,
  "nextOffset": 123
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Query Parameters

limit
integer
default:10

The number of items to return

offset
integer
default:0

How many items to skip (use in conjunction with limit for pagination)

featureId
string

Filter to schedules attached to a specific feature

status
enum<string>

Filter by schedule status

Available options:
pending,
ready,
running,
paused,
pending-approval,
completed,
rolled-back

Response

200 - application/json

Success

rampSchedules
object[]
required
limit
integer
required
offset
integer
required
count
integer
required
total
integer
required
hasMore
boolean
required
nextOffset
integer | null
required